# coding=utf-8

import openpyxl
from collections import Counter, OrderedDict
import os, sys, csv, getpass, platform, datetime, time, copy, re
import openpyxl.styles.numbers
import warnings
from tools.coding import Result, WorkingObject
from tools.text import PrettyText
from tools.parallel import Stoppable
from tools.printing import SmartPrinter
from tools.misc import JsonConverter
from tools.geocruncher import GeoCruncher

# -----------------------------------------
# Import: Feeder: Ingest Data -> Datenbank
# -----------------------------------------

class Feeder(Stoppable, WorkingObject):

    # Konstruktor
    def __init__(self, model):
        Stoppable.__init__(self)
        WorkingObject.__init__(self)
        self.__model = model
        self.__smartprinter = model.ui_getSmartprinter()

    # Info
    def info(self):
        sOut = "*** Status of Database Feeding System\n\n"
        return sOut